<link  rel="stylesheet" type="text/css"  media="all" href="https://au.alogic.co/media/home.css" />
<?php

$items = $block->getProductCollection()->setPageSize(10)
    ->setCurPage(1)->getItems();
$_imagehelper = $this->helper('Magento\Catalog\Helper\Image');
$image = 'product_base_image';
$thumnail = 'product_thumbnail_image';
$_hideCartHelper = $this->helper('Alogic\Customtheme\Helper\Data');
$isCartDisabled = $_hideCartHelper->getIsCartDisabled();
$objectManager = \Magento\Framework\App\ObjectManager::getInstance();
?>
 

<div class="row">
  <div class="col-lg-12 col-md-12 col-sm-12">
  <div class="featured-products slider-view owl-carousel">
<?php $i=0; foreach ($items as $_product): $i++; ?>

<?php 
$images = $objectManager->create('Magento\Catalog\Api\ProductAttributeMediaGalleryManagementInterface')
->getList($_product->getSku());

$productSwapImage = '';
foreach ($images as $image1) {
  $images_types = $image1->getData();
  if(in_array('trending_image', $images_types['types'])){

      $productSwapImage = $_imagehelper->init($_product, 'thumbnail')
                            ->setImageFile($images_types['file'])->constrainOnly(FALSE)->keepAspectRatio(TRUE)->keepFrame(TRUE)->resize(400,400)
                            ->getUrl();
   
  }
   
 
}

?>
<?php $productImage = $_imagehelper->init($_product, $image)->resize(400, 400)->getUrl(); ?>
<?php $productThumbail = $_imagehelper->init($_product, $thumnail)->resize(400, 400)->getUrl(); ?>
   <div class="al_fe_products">
      <div class="al-flip-box">
        <div class="al-flip-box-inner">
          <div class="al-flip-box-front">
            <img class="img-responsive" src="<?php echo $productImage ?>" alt="<?php echo $_product->getName(); ?>" />
          </div>
          <div class="al-flip-box-back">
            <img class="img-responsive" src="<?php echo $productSwapImage ?>" alt="<?php echo $_product->getName(); ?>" />
          </div>
        </div>
      </div>
      <div class="al_flip_desc">
        <?php if (!$isCartDisabled){ ?>
          <?php if ($_product->isSaleable()){ ?>
          <?php }else{ ?>
            <div class="notify-box">
              <div class="product alert notify-box-stock overriden">
                <a href="javascript:;" title="Notify me when this product is in stock" class="action alert js-notify-window" data-toggle="modal" data-target="#newsWindow" data-productid="<?php echo $_product->getId(); ?>">Notify me when this product is in stock</a>
              </div>
            </div>
          <?php }?>
        <?php }?>

          


        <h3>
          <?php
          
         
               $len = strlen($_product->getName());
               $productName = substr($_product->getName(),0,40);
               if($len > 40) {
                $productName .= '...';
               }
                                                    
          //$productName = strlen($productName) > 50 ? substr($productName,0,50)."..." : $productName; 
          ?>   
          <a href="<?php echo $_product->getProductUrl() ?>">     
            <?php echo $productName; ?>          
          
          </a>
        </h3>

        <p>Part Number: <?php echo $_product->getSku(); ?></p>
        <div class="newarrival-review">
          <?php 
          $rs_helper = $this->helper('Yotpo\Yotpo\Helper\RichSnippets');
          $array = $rs_helper->getRichSnippetNew($_product ); 
          ?>
          <?php if($array['reviews_count']) {?>
          <div class="yotpo bottomLine"
                          data-appkey="QvDU8Pgt1mWuxBUKUWwjVhIdmG8ot3lPiC1RUrvk"
                          data-domain="https://alogic.co/us/" data-product-id="<?php echo $_product->getId();?>" >
          </div>
        <?php }else{ ?>
          <div class="yotpo bottomline">
            <div class="yotpo-bottomline star-clickable">  
                <span class="yotpo-stars"> 
                 <span class="yotpo-icon yotpo-icon-empty-star pull-left"></span>
                 <span class="yotpo-icon yotpo-icon-empty-star pull-left"></span>
                 <span class="yotpo-icon yotpo-icon-empty-star pull-left"></span>
                 <span class="yotpo-icon yotpo-icon-empty-star pull-left"></span>
                 <span class="yotpo-icon yotpo-icon-empty-star pull-left"></span> </span>      
             <div class="yotpo-clr"></div> 
            </div>
          </div>
        <?php } ?>
        </div>
        <div class="al_pro_price"><?php echo $block->getProductPrice($_product) ?></div>
            
        <?php if (!$isCartDisabled){ ?>
                  <?php if ($_product->isSaleable()){ ?>
                            <div>                              
                              <?php $postParams = $block->getAddToCartPostParams($_product);?>
                              <form data-role="tocart-form" action="<?php /* @escapeNotVerified */echo $this->getUrl('checkout/cart/add', ['uenc' => $postParams['data']['uenc'], 'product' => $postParams['data']['product']]); ?>" method="post">
                                <input type="hidden" name="product" value="<?php /* @escapeNotVerified */echo $postParams['data']['product']; ?>">
                                <input type="hidden" name="uenc" value="<?php /* @escapeNotVerified */echo $postParams['data']['uenc']; ?>">
                                <input name="form_key" type="hidden" value="<?php echo $this->getFormKey() ?>" />
                                <button class="al_add_cart btn btn-primary" type="submit" title="<?php /* @escapeNotVerified */echo __('Add to Cart') ?>">Add to cart
                                </button>
                              </form>
                            </div>
                          <?php }?>
                          <?php }?>
    
      </div>
    </div>
<?php endforeach ?>
</div>
</div>
</div>

<script type="text/javascript">
         require(['jquery', 'mgs/owlcarousel'], function($) {
             $(document).ready(function() {              

                $('.featured-products').owlCarousel({
                  items: 4,
                  nav: true,
                  dots: true,
                  rtl: RTL,
                  margin: 30,
                  touchDrag: false,
                  mouseDrag: true,
                  loop: false,
                  // autoHeight:true,
                  navText: ["<img src='data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjQiIGhlaWdodD0iMjQiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgZmlsbC1ydWxlPSJldmVub2RkIiBjbGlwLXJ1bGU9ImV2ZW5vZGQiPjxwYXRoIGQ9Ik0yMCAuNzU1bC0xNC4zNzQgMTEuMjQ1IDE0LjM3NCAxMS4yMTktLjYxOS43ODEtMTUuMzgxLTEyIDE1LjM5MS0xMiAuNjA5Ljc1NXoiLz48L3N2Zz4='>", "<img src='data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjQiIGhlaWdodD0iMjQiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgZmlsbC1ydWxlPSJldmVub2RkIiBjbGlwLXJ1bGU9ImV2ZW5vZGQiPjxwYXRoIGQ9Ik00IC43NTVsMTQuMzc0IDExLjI0NS0xNC4zNzQgMTEuMjE5LjYxOS43ODEgMTUuMzgxLTEyLTE1LjM5MS0xMi0uNjA5Ljc1NXoiLz48L3N2Zz4='>"],
                  responsive: {
                    0: {
                      items: 1,
                      dots: true,
                      nav: false,
                      touchDrag: true,
                      mouseDrag: false,
                      margin: 10,
                    },
                    768: {
                      items: 2,
                      dots: true,
                      nav: false,
                      touchDrag: true,
                      mouseDrag: false,
                      margin: 10,
                    },
                    1024: {
                      items: 2,
                      nav: false,
                      dots: true,
                      margin: 10,
                    },
                    1200: {
                      items: 4,
                      dots: true,
                      nav: false,
                      touchDrag: true,
                      margin: 30,
                    }
                  }
                });


             });
         });
</script>